Cleanup /srv/deployment
Closed, ResolvedPublic

Description

Would be nice as part of deprecating trebuchet to clean up /srv/deployment/ on tin.

Outdated

/srv/deployment/parsoid/Parsoiddone

Integration

Per Antoine T109926#2096483

/srv/deployment/integration/configdone
/srv/deployment/integration/kssdone
/srv/deployment/integration/mediawiki-tools-codesnifferdone
/srv/deployment/integration/php-coverallsdone
/srv/deployment/integration/phpunitdone
/srv/deployment/integration/slave-scriptsdone
/srv/deployment/integration/php-coverallsdone
/srv/deployment/integration/phpcsdone

Others

/srv/deployment/gdash/gdashdoneReplaced by grafana
/srv/deployment/grafana/grafanadoneNot deployed via trebuchet
/srv/deployment/kibana/kibanadoneHas a .deb
/srv/deployment/tessera/tesseradonePer puppet.git bc54db766412e0f339f54c73b03877f268101af0
/srv/deployment/abacist/abacistdonePer puppet.git 24faab2d672249cc6bc32fa3a3b0a8c0defa6050
/srv/deployment/analytics/krakendoneReplaced by analytics/refinery
/srv/deployment/dropwizard/metricsdonePer T170839#3545140
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2017, 8:57 PM

I think all these can be removed

Some of these per @hashar @mobrovac @fgiunchedi

Adding @EBernhardson because I half-remember mentioning this cleanup at the last hackathon and having him say something I wanted to remember.

# Outdated
/srv/deployment/parsoid/Parsoid

# Integration per Antoine T109926#2096483
/srv/deployment/integration/php-coveralls
/srv/deployment/integration/phpunit
/srv/depployment/integration/slave-scripts
/srv/deployment/integration/php-coveralls
/srv/deployment/integration/phpcs

# Replaced by grafana
/srv/deployment/gdash/gdash

# Not deployed via trebuchet
/srv/deployment/grafana/grafana

# Has a .deb
/srv/deployment/kibana/kibana

# POC as an alternative to Grafana. Drop per puppet.git bc54db766412e0f339f54c73b03877f268101af0
/srv/deployment/tessera/tessera

# Drop per puppet.git 24faab2d672249cc6bc32fa3a3b0a8c0defa6050
/srv/deployment/abacist/abacist

# Deprecated -- possibly keep?
/srv/deployment/analytics/kraken
  1. Deprecated -- possibly keep? /srv/deployment/analytics/kraken

I have removed it from CI via T169303. The project has been replaced by analytics/refinery.

@ssastry @Arlolra can you confirm /srv/deployment/parsoid/Parsoid on tin is obsolete and can be removed?

@ssastry @Arlolra can you confirm /srv/deployment/parsoid/Parsoid on tin is obsolete and can be removed?

Yes.

hashar updated the task description. (Show Details)Jul 18 2017, 7:40 AM
hashar updated the task description. (Show Details)
fgiunchedi updated the task description. (Show Details)Jul 18 2017, 1:54 PM
greg awarded a token.Jul 24 2017, 4:04 PM
greg added a subscriber: greg.Jul 24 2017, 5:02 PM
demon updated the task description. (Show Details)Aug 31 2017, 3:13 AM
demon updated the task description. (Show Details)
demon added a subscriber: demon.EditedAug 31 2017, 3:17 AM

Actually, most of these had wikidev group ownership so dropped them myself.

  • grafana/* needs a root, got some files in .git/ owned by them
demon updated the task description. (Show Details)Aug 31 2017, 3:18 AM
hashar updated the task description. (Show Details)Aug 31 2017, 8:36 AM
hashar updated the task description. (Show Details)Aug 31 2017, 8:40 AM

Mentioned in SAL (#wikimedia-operations) [2017-08-31T08:45:46Z] <godog> remove /srv/deployment/grafana on naos and tin, unused - T170881

I have cleared out all of/srv/deployment/integration/

@fgiunchedi kindly deleted /srv/deployment/grafana

hashar updated the task description. (Show Details)Aug 31 2017, 8:46 AM

From the original list that task has, everything got cleaned up. Might want to revisit /srv/deployment and see whether anything still need to be deleted. /srv/deployment/STALE comes to mind.

demon added a comment.Aug 31 2017, 4:07 PM

Dropped most of STALE, just needs a root to hit the remaining few files. Then we can resolve this.

RobH added a subscriber: RobH.Sep 1 2017, 5:33 PM

root removal of /srv/deployment/STALE/ done =]

demon closed this task as Resolved.Sep 1 2017, 5:34 PM
demon claimed this task.

Yay thx. I thinkkkkkkkk that's it. Resolving :)